<app-layout>
    <div class="row my-4">
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Personal Information</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <div class="row mat-typography p-4">
              <div class="col-6">
                <p class="label mb-0"><small>First Name</small></p>
                <p class="value">{{user.firstName ? user.firstName : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Last Name</small></p>
                  <p class="value">{{user.lastName ? user.lastName : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Contact</small></p>
                  <p class="value">{{user.contact ? user.contact : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Email</small></p>
                  <p class="value">{{user.username ? user.username : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Country</small></p>
                  <p class="value">{{user.country ? user.country : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Currency</small></p>
                  <p class="value">{{user.currency ? user.currency : 'Not Provided'}}</p>
              </div>
            </div>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
            <button mat-button>Change Password</button> 
            <button mat-flat-button routerLink="/profile/edit" color="primary" class="btn-black">Edit Profile</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Company Information</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <div class="row mat-typography p-4" *ngIf="organization">
              <div class="col-6">
                <p class="label mb-0"><small>Company Name</small></p>
                <p class="value">{{organization.name ? organization.name : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Phone Number</small></p>
                  <p class="value">{{organization.contact ? organization.contact : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Address Line 1</small></p>
                  <p class="value">{{organization.address ? organization.address : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Address Line 2</small></p>
                  <p class="value">{{organization.address2 ? organization.address2 : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>City</small></p>
                  <p class="value">{{organization.city ? organization.city : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Post Code</small></p>
                  <p class="value">{{organization.postcode ? organization.postcode : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Country</small></p>
                  <p class="value">{{organization.country ? organization.country : 'Not Provided'}}</p>
              </div>
              <div class="col-6">
                  <p class="label mb-0"><small>Currency</small></p>
                  <p class="value">{{organization.currency ? organization.currency : 'Not Provided'}}</p>
              </div>
            </div>
            <div class="row mat-typography p-4" *ngIf="!organization">
              <div class="col-12">
                <h4>You have not provided any company information yet.</h4>
              </div>
            </div>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
            <button mat-flat-button color="primary" class="btn-black">{{organization ? 'Edit' : 'Add'}} Information</button>
          </mat-card-actions>
        </mat-card>
      </div>
    </div>
</app-layout>